Subject: Re: [PATCH v2 1/7] fetch: increase test coverage of fetches

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 18 Feb 2022 07:49:55 +0100

On Thu, Feb 17, 2022 at 12:41:33PM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
[snip]
> > +test_expect_success 'atomic fetch with failing backfill' '
> > +	git init clone3 &&
> > +
> > +	# We want to test whether a failure when backfilling tags correctly
> > +	# aborts the complete transaction when `--atomic` is passed: we should
> > +	# neither create the branch nor should we create the tag when either
> > +	# one of both fails to update correctly.
> > +	#
> > +	# To trigger failure we simply abort when backfilling a tag.
> 
> What does this paragraph want the phrase `backfilling tags` to mean?
> Just from end-user's perspective, there is only one (i.e. if an
> object that is tagged gets fetched and that tag is not here, fetch
> it too), but at the mechanism level, there are two distinct code
> paths (i.e. if OPT_FOLLOWTAGS gets the job done, there is no need to
> call backfill_tags()).  Which failure does this talk about, or it
> does not matter which code path gave us the tag?

It refers to `backfill_tags()`. Should I update this comment to clarify?

Patrick